Move foreman-tasks service to Foreman
03/01/2017 01:05 PM - Daniel Lobato Garcia

Status: Closed

Priority: Normal

Assignee: Daniel Lobato Garcia
Category: Foreman modules

Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request: https://github.com/theforeman/puppet-for

eman/pull/530,
https://github.com/theforeman/puppet-for
eman/pull/602

Description

As per #18618, the dynflow executor is moving over to Foreman, in order to support ActiveJob. Tasks will provide an Ul and
persistence layer for Dynflow, but Foreman should be able to run jobs without it too.

Part of this effort includes moving the Dynflow executor over to Foreman, which at the moment is managed by the foreman-tasks
service.

Related issues:
Has duplicate Installer - Feature #17467: Configure tasks by default Duplicate 11/23/2016

Associated revisions

Revision ee1b7b47 - 01/15/2018 09:19 AM - Ewoud Kohl van Wijngaarden

Fixes #18757 - Handle dynflow service in foreman core

The dynflow service was moved into core with 1.17. That renamed it to
dynflowd and means the service should be started by default.

For compatibility parameters are provided. This means we must move the

service name detection to the jobs.pp file because that's the only place
we know the actual value.

History

#1 - 03/01/2017 01:11 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/puppet-foreman/pull/530 added

#2 - 10/06/2017 12:34 PM - Ewoud Kohl van Wijngaarden
- Has duplicate Feature #17467: Configure tasks by default added

#3 - 10/24/2017 03:12 PM - The Foreman Bot
- Pull request https://github.com/theforeman/puppet-foreman/pull/602 added

#4 - 01/15/2018 11:01 AM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset puppet-foreman|ee1b7b47365039257077c98426dd20a2fce2ce5a.
